> ## Documentation Index
> Fetch the complete documentation index at: https://docs.coldsend.pro/llms.txt
> Use this file to discover all available pages before exploring further.

# Get a saved segment

> One list by ID. `cached_count` is NULL until the rollup job has counted the list once.



## OpenAPI

````yaml /public_openapi.json get /api/public/v1/contacts/lists/{list_id}
openapi: 3.0.3
info:
  title: ColdSend Public API
  description: >-
    Programmatic access to ColdSend for managing cold email campaigns and sender
    accounts.
  version: 1.0.0
  contact:
    name: ColdSend Support
    email: support@coldsend.pro
    url: https://coldsend.pro
servers:
  - url: https://api.coldsend.pro
    description: Production
security:
  - ApiKeyAuth: []
paths:
  /api/public/v1/contacts/lists/{list_id}:
    get:
      tags:
        - Contacts
      summary: Get a saved segment
      description: >-
        One list by ID. `cached_count` is NULL until the rollup job has counted
        the list once.
      operationId: get_contact_list_api_public_v1_contacts_lists__list_id__get
      parameters:
        - name: list_id
          in: path
          required: true
          schema:
            type: string
            format: uuid
            title: List Id
      responses:
        '200':
          description: List retrieved
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ContactListApiResponse'
        '403':
          description: Insufficient permissions - requires 'contacts:read' scope
        '404':
          description: List not found in this team
        '422':
          description: Validation Error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/HTTPValidationError'
components:
  schemas:
    ContactListApiResponse:
      properties:
        success:
          type: boolean
          title: Success
          default: true
        message:
          type: string
          title: Message
        contact_list:
          $ref: '#/components/schemas/ContactListResponse'
      type: object
      required:
        - message
        - contact_list
      title: ContactListApiResponse
      description: Response carrying a single saved segment.
    HTTPValidationError:
      properties:
        detail:
          items:
            $ref: '#/components/schemas/ValidationError'
          type: array
          title: Detail
      type: object
      title: HTTPValidationError
    ContactListResponse:
      properties:
        id:
          type: string
          format: uuid
          title: Id
        team_id:
          type: string
          format: uuid
          title: Team Id
        name:
          type: string
          title: Name
        description:
          type: string
          nullable: true
          title: Description
        list_type:
          type: string
          title: List Type
        filter_definition:
          additionalProperties: true
          type: object
          nullable: true
          title: Filter Definition
        created_by_user_id:
          type: string
          format: uuid
          nullable: true
          title: Created By User Id
        cached_count:
          type: integer
          nullable: true
          title: Cached Count
        count_refreshed_at:
          type: string
          format: date-time
          nullable: true
          title: Count Refreshed At
        created_at:
          type: string
          format: date-time
          title: Created At
        updated_at:
          type: string
          format: date-time
          title: Updated At
      type: object
      required:
        - id
        - team_id
        - name
        - list_type
        - created_at
        - updated_at
      title: ContactListResponse
      description: A saved segment.
    ValidationError:
      properties:
        loc:
          items:
            anyOf:
              - type: string
              - type: integer
          type: array
          title: Location
        msg:
          type: string
          title: Message
        type:
          type: string
          title: Error Type
      type: object
      required:
        - loc
        - msg
        - type
      title: ValidationError
  securitySchemes:
    ApiKeyAuth:
      type: apiKey
      in: header
      name: X-API-Key
      description: API key with format cs_live_xxx

````

This documentation is built and hosted on [Mintlify](https://mintlify.com), a developer documentation platform.